using Autodesk.Revit.DB;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RevitExport
{
    /// <summary>
    /// 元素包装
    /// </summary>
    public class ElementWrapper
    {
        public ElementWrapper(Element element)
        {
            RefElement = element;
            UseDefaultCategory();
        }
        /// <summary>
        /// 使用默认的分类
        /// </summary>
        public void UseDefaultCategory()
        {
            Category = RefElement.GetType().ToString();
        }
        public Element RefElement { get; private set; }

        public string Category { get; set; }
    }
}
